#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true
  XC\UPS\LifetimeHook\Upgrade\UpgradeTo551build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-UPS, type: upgrade, method: onUpgrade, version: 5.5.1.0}
  XC\UPS\LifetimeHook\Upgrade\UpgradeTo552build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-UPS, type: upgrade, method: onUpgrade, version: 5.5.2.0}
  XC\UPS\LifetimeHook\Upgrade\UpgradeTo552build4FillModuleConfigField:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-UPS, type: upgrade, method: onUpgrade, version: 5.5.2.4}
  XC\UPS\LifetimeHook\Upgrade\UpgradeTo553build0ChangeInsuredAdditionalHandling:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-UPS, type: upgrade, method: onUpgrade, version: 5.5.3.0}
